4
Vote

PHP Manager broken? Can PHP Manager be fixed so that it works with IIS 8.5??

description

I was reading several hundred forum threads about PHP Manager being broken and not working properly with Windows Server 2012R2 and IIS 8.5, and I tried to install PHP 5.5.8 with PHP Manager using Microsoft's Web Platform Installer 4.6, but PHP Manager would not work/install properly because it required some additional dependencies (PHP 5.5.8 and Microsoft Visual C++ 2012 Redistributable x86 11.0.60610 and PHP 5.3.8 and Microsoft Visual C++ 2008 Redistributable - x86 9.0.21022)

I installed all the dependencies, but PHP Manager still failed to install properly.

__MSI (s) (EC:C8) [17:03:19:445]: Note: 1: 1708
MSI (s) (EC:C8) [17:03:19:445]: Product: PHP Manager 1.2 for IIS 7 -- Installation failed.

MSI (s) (EC:C8) [17:03:19:445]: Windows Installer installed the product. Product Name: PHP Manager 1.2 for IIS 7. Product Version: 1.2.0. Product Language: 1033. Manufacturer: . Installation success or error status: 1603.

MSI (s) (EC:C8) [17:03:19:446]: Deferring clean up of packages/files, if any exist
MSI (s) (EC:C8) [17:03:19:446]: MainEngineThread is returning 1603
MSI (s) (EC:0C) [17:03:19:448]: RESTART MANAGER: Session closed.
MSI (s) (EC:0C) [17:03:19:448]: No System Restore sequence number for this installation.
=== Logging stopped: 2/8/2014 17:03:19 ===

__

Are there any plans to FIX PHP Manager so that it works with Windows Server 2012R2 and with IIS 8.5?

Also, are there any plans to fix/remove Microsoft Visual C++ 2008 Redistributable x86 9.0.21022 as a dependency, so that ONLY Visual C++ 2012 Redistributable x86 11.0.60610 can be installed without having to install the old legacy Microsoft Visual C++ 2008 Redistributable x86 9.0.21022?

I wish that there was an updated version of PHP Manager for Windows Server 2012R2 and IIS 8.5, that only required Visual C++ 2012 Redistributable x86 11.0.60610.

Also can PHP Manager be fixed so that it works with Microsoft Web Platform Installer 4.6 and Windows Server 2012R2 and IIS 8.5?

I tried installing a clean install of PHP 5.5.8 and PHP Manager (via Microsoft Web Platform Installer 4.6) but PHP Manager keeps failing to install.

Can someone please fix this?

comments

TD_Trader wrote Feb 9, 2014 at 6:50 AM

PHP Manager seems to only work with IIS 7, and it doesn't seem to work with IIS 8.5.

Are there any plans to fix/update/rewrite PHP Manager so that it will work with Windows Server 2012R2 and IIS 8.5?

wrote Jul 7, 2014 at 7:34 PM

wrote Dec 2, 2014 at 12:42 PM

rcalhoun wrote Apr 1, 2015 at 6:04 PM

Based on this post:

http://serverfault.com/questions/615747/webserver-issues-php-manager-for-iis

the issue is that PHP Manager requires the .NET 3.5, although the WebPI is not aware that it is a dependency. If you install ".NET 3.5" with the Server Manager "Add Features and Roles", then the WebPI will install PHP Manager successfully.

wrote Sep 18, 2015 at 2:24 AM